import * as webpack from "webpack";
export interface EntryForBuild {
    name: string;
    entry: string;
}
export interface RouteEntryPluginOptions {
    getEntriesForBuild: () => EntryForBuild[];
    done: () => void;
}
export declare class RouteEntryPlugin {
    options: RouteEntryPluginOptions;
    constructor(options: RouteEntryPluginOptions);
    apply(compiler: webpack.Compiler): void;
}
